package com.ruoyi.model.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.model.domain.AppletConfig;

/**
 * 配置信息Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface IAppletConfigService extends IService<AppletConfig>
{
    /**
     * 查询配置信息
     * 
     * @param id 配置信息主键
     * @return 配置信息
     */
    public AppletConfig selectAppletConfigById(Long id);


    public AppletConfig selectAppletConfigByClassAndNum(String paramClass,Integer paramValueNum);
    /**
     * 查询配置信息列表
     * 
     * @param appletConfig 配置信息
     * @return 配置信息集合
     */
    public List<AppletConfig> selectAppletConfigList(AppletConfig appletConfig);

    /**
     * 新增配置信息
     * 
     * @param appletConfig 配置信息
     * @return 结果
     */
    public int insertAppletConfig(AppletConfig appletConfig);

    /**
     * 修改配置信息
     * 
     * @param appletConfig 配置信息
     * @return 结果
     */
    public int updateAppletConfig(AppletConfig appletConfig);

    /**
     * 批量删除配置信息
     * 
     * @param ids 需要删除的配置信息主键集合
     * @return 结果
     */
    public int deleteAppletConfigByIds(Long[] ids);

    /**
     * 删除配置信息信息
     * 
     * @param id 配置信息主键
     * @return 结果
     */
    public int deleteAppletConfigById(Long id);


    AppletConfig getByCode(String code);
}
